## org.eclipse.jetty.webapp
Enum WebDescriptor.MetaDataComplete

    java.lang.Object
      java.lang.Enum<WebDescriptor.MetaDataComplete>
          org.eclipse.jetty.webapp.WebDescriptor.MetaDataComplete

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebDescriptor.MetaDataComplete>

Enclosing class:
  WebDescriptor

    public static enum WebDescriptor.MetaDataComplete

extends java.lang.Enum<WebDescriptor.MetaDataComplete>

Enum Constant Summary
`False`
`NotSet`
`True`

Method Summary
`static WebDescriptor.MetaDataComplete` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebDescriptor.MetaDataComplete[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotSet

    public static final WebDescriptor.MetaDataComplete NotSet

### True

    public static final WebDescriptor.MetaDataComplete True

### False

    public static final WebDescriptor.MetaDataComplete False

Method Detail

### values

    public static WebDescriptor.MetaDataComplete[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WebDescriptor.MetaDataComplete c : WebDescriptor.MetaDataComplete.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WebDescriptor.MetaDataComplete valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.